## org.acedb.socket
Class SocketDriver

    java.lang.Object
      |
      +--org.acedb.socket.SocketDriver

public class SocketDriver
extends java.lang.Object
implements Driver

Author:
  Thomas Down, Matthew Pocock

Constructor Summary
`SocketDriver()`

Method Summary
`boolean` `accept(AceURL url)` Returns whether this driver can handle this url type.
`Database` `connect(AceURL url)` Return a database that is connected to this url.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketDriver

    public SocketDriver()

Method Detail

### accept

    public boolean accept(AceURL url)

  Description copied from interface: Driver
  Returns whether this driver can handle this url type.
  Specified by:
    accept in interface Driver

### connect

    public Database connect(AceURL url)
                     throws AceException

  Description copied from interface: Driver
  Return a database that is connected to this url.
  Specified by:
    connect in interface Driver